=== modified file 'bzrlib/tests/per_workingtree/test_move.py'
--- bzrlib/tests/per_workingtree/test_move.py	2011-05-13 12:51:05 +0000
+++ bzrlib/tests/per_workingtree/test_move.py	2011-07-23 12:45:33 +0000
@@ -348,6 +348,9 @@
         tree._validate()
 
     def test_move_directory_into_parent(self):
+        if not self.workingtree_format.supports_versioned_directories:
+            raise tests.TestNotApplicable(
+                "test requires versioned directories")
         tree = self.make_branch_and_tree('.')
         self.build_tree(['c/', 'c/b/', 'c/b/d/'])
         tree.add(['c', 'c/b', 'c/b/d'],
@@ -372,14 +375,20 @@
         tree.commit('initial', rev_id='rev-1')
         root_id = tree.get_root_id()
 
-
         tree.rename_one('a/b', 'a/c/b')
-        self.assertTreeLayout([('', root_id),
-                               ('a', 'a-id'),
-                               ('d', 'd-id'),
-                               ('a/c', 'c-id'),
-                               ('a/c/b', 'b-id'),
-                              ], tree)
+        if self.workingtree_format.supports_versioned_directories:
+            self.assertTreeLayout([('', root_id),
+                                   ('a', 'a-id'),
+                                   ('d', 'd-id'),
+                                   ('a/c', 'c-id'),
+                                   ('a/c/b', 'b-id'),
+                                  ], tree)
+        else:
+            self.assertTreeLayout([('', root_id),
+                                   ('a', 'a-id'),
+                                   ('a/c', 'c-id'),
+                                   ('a/c/b', 'b-id'),
+                                  ], tree)
         self.assertEqual([('a', 'd/a')],
                          tree.move(['a'], 'd'))
         self.assertTreeLayout([('', root_id),

=== modified file 'bzrlib/tests/per_workingtree/test_symlinks.py'
--- bzrlib/tests/per_workingtree/test_symlinks.py	2011-05-04 11:15:37 +0000
+++ bzrlib/tests/per_workingtree/test_symlinks.py	2011-07-23 12:41:29 +0000
@@ -101,8 +101,11 @@
         tree.lock_read()
         self.addCleanup(tree.unlock)
         self.assertEquals([], list(tree.iter_changes(tree.basis_tree())))
-        self.assertEquals(
-            ['a', 'a/f'], sorted(info[0] for info in tree.list_files()))
+        if tree._format.supports_versioned_directories:
+            self.assertEquals(
+                ['a', 'a/f'], sorted(info[0] for info in tree.list_files()))
+        else:
+            self.assertEquals([], list(tree.list_files()))
 
     def test_dir_changes_to_symlink(self):
         # <https://bugs.launchpad.net/bzr/+bug/192859>:

